function requestUpdate(url, fieldName, targetName, targetFieldNames) {
    var xmlhttp = Sarissa.getXmlHttpRequest();
    xmlhttp.open("POST", url, false);

    // Find the value of the controlling field.

    var fieldValue = document.getElementsByName(fieldName)[0].value;

    // Process each target field name.

    var targetFieldNameArray = targetFieldNames.split(",");

    // Send the controlling field value.

    var requestBody = (fieldName + "=" + fieldValue);

    // Add the values of the dependent fields.

    for (var i = 0; i < targetFieldNameArray.length; i++) {
        var targetFieldName = targetFieldNameArray[i];

        // Find the values of the target field.

        var targetFieldValue;
        var targetFieldNodes = document.getElementsByName(targetFieldName);
        for (var v = 0; v < targetFieldNodes.length; v++) {
            targetFieldValue = targetFieldNodes[v].value;
            requestBody += ("\r\n" + targetFieldName + "=" + targetFieldValue);
        }

        // Add the target name specification.

        requestBody += ("\r\ntarget-field-name=" + targetFieldName);
    }

    // Load the remote document with the given parameters sent as text in the request body.

    xmlhttp.send(requestBody);

    // Parse the result document.

    var newDocument = Sarissa.getDomDocument();
    newDocument.loadXML(xmlhttp.responseText);

    // Find the definition of the affected field in the result document.

    var newElement = newDocument.getElementById(targetName);
    var targetElement = document.getElementById(targetName);

    // Insert the new definition into the current document.

    if (newElement != null && targetElement != null) {
        var importedElement = document.importNode(newElement, true);
        targetElement.parentNode.replaceChild(importedElement, targetElement);
        //importedElement.setAttribute("style", "background-color:red;");
    }
}
